# Class Frank

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.Frank

public class Frank extends Shape

## Field Summary

Fields
Modifier and Type
Field
Description
`Font`
`baseFont3d`
`Font`
`font3d`
`int`
`frankAscent`
`int`
`frankDescent`
`static final int`
`frankMargin`
`static String`
`frankString`
`int`
`frankWidth`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Frank()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkObjectHovered(int x, int y, BS bsVisible)`
`void`
`getFont(float imageFontScaling)`
`String`
`getShapeState()`
`void`
`initShape()`
`void`
`setProperty(String propertyName, Object value, BS bs)`
`boolean`
`wasClicked(int x, int y)`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frankMargin

public static final int frankMargin

See Also:
  - Constant Field Values

### frankString

public static String frankString

### baseFont3d

public Font baseFont3d

### frankWidth

public int frankWidth

### frankAscent

public int frankAscent

### frankDescent

public int frankDescent

### font3d

public Font font3d

## Constructor Details

### Frank

public Frank()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### wasClicked

public boolean wasClicked(int x, int y)

Overrides:
  `wasClicked` in class `Shape`
Parameters:
  `x` -
  `y` -
Returns:
  T/F

### checkObjectHovered

public boolean checkObjectHovered(int x, int y, BS bsVisible)

Overrides:
  `checkObjectHovered` in class `Shape`
Parameters:
  `x` -
  `y` -
  `bsVisible` -
Returns:
  T/F

### getFont

public void getFont(float imageFontScaling)

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`